> # NAME

> cgD3D11GetLastError - get the last D3D error that occurred

> # SYNOPSIS

>       #include <Cg/cgD3D11.h>

>       HRESULT cgD3D11GetLastError( void );

> # PARAMETERS

> None.

> # RETURN VALUES

> Returns the last D3D error that occurred during an expanded interface function call.

> Returns D3D_OK if no D3D error has occurred since the last call to cgD3D11GetLastError.

> # DESCRIPTION

> cgD3D11GetLastError retrieves the last D3D error that occurred during an expanded interface function call. The last error is always cleared immediately after the call.

> # EXAMPLES

>       HRESULT lastError = cgD3D11GetLastError();

> # ERRORS

> None.

> # HISTORY

> cgD3D11GetLastError was introduced in Cg 3.0.

> # SEE ALSO

> cgD3D11TranslateHRESULT